# AngularJS 1.5 NES Mocks

This repository enables distribution to npm-compatible clients. The original source for this module
is in the [AngularJS repo](https://github.com/angular/angular.js/tree/master/src/ngMock).

## Install

You can install this package with `npm`.

Detailed installation instructions are available on the
[NES support portal](https://support.herodevs.com/hc/en-us/sections/23665558661005-Installation-Guides).

### npm

```shell
npm install angular-mocks@npm:@neverendingsupport/angularjs@1.5.11-trial-mocks
```

You can `require` ngMock modules:

```javascript
var angular = require('angular');
angular.module('myMod', [
  require('angular-animate'),
  require('angular-mocks/ngMock'),
  require('angular-mocks/ngAnimateMock')
]);
```

## Documentation

Documentation is available on the
[AngularJS NES docs site](https://docs.angularjs.xlts.dev/guide/unit-testing).
